// Import Bulma's core
@import '~bulma/sass/utilities/_all';

// Set your colors
$info: hsl(197, 41%, 61%);
$info-invert: findColorInvert($primary);

$primary: #073877;
$primary-invert: findColorInvert($info);

$secondary: hsl(39, 70%, 55%);
$secondary-invert: findColorInvert($secondary) !default;

$warning: hsl(39, 95%, 45%);
$warning-invert: findColorInvert($warning);

$danger: hsl(0, 77%, 51%);
$danger-invert: findColorInvert($danger);

$success: hsl(135, 48%, 56%);
$success-invert: findColorInvert($success);

// Setup $colors to use as bulma classes (e.g. 'is-twitter')
$colors: (
  'white': (
    $white,
    $black
  ),
  'black': (
    $black,
    $white
  ),
  'light': (
    $light,
    $light-invert
  ),
  'dark': (
    $dark,
    $dark-invert
  ),
  'primary': (
    $primary,
    $primary-invert
  ),
  'info': (
    $info,
    $info-invert
  ),
  'success': (
    $success,
    $success-invert
  ),
  'warning': (
    $warning,
    $warning-invert
  ),
  'danger': (
    $danger,
    $danger-invert
  ),
  'secondary': (
    $secondary,
    $secondary-invert
  )
);

// Links
$link: $primary;
$link-invert: $primary-invert;
$link-focus-border: $primary;

// Import Bulma and Buefy styles
@import '~bulma';
@import '~buefy/src/scss/buefy';

.title.colored {
  color: $info;
}

.border-grey {
  border: 1px solid #ccc;
}
